# 고유 카탈로그 혜택 프로모션 생성

고유 카탈로그 혜택 프로모션을 생성합니다.

Endpoint: POST /v3/project/{project_id}/admin/unique_catalog_offer
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    프로젝트 ID. 이 매개 변수는 프로젝트 이름 옆의 관리자 페이지에서 또는 프로젝트 작업 시 브라우저 주소 표시줄에서 확인할 수 있습니다. URL 형식은 다음과 같습니다: https://publisher.xsolla.com//projects/.
    Example: 44056

## Request fields (application/json):

  - `external_id` (string, required)
    고유 프로모션 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

  - `date_start` (string,null)
    프로모션이 시작되는 날짜입니다.

  - `date_end` (string,null)
    프로모션이 완료되는 날짜입니다. null일 수 있습니다. date_end가 null이면 프로모션이 시간 제한을 받지 않습니다.

  - `name` (object, required)
    프로모션의 이름입니다. 키가 "^[a-z]{2}-[A-Z]{2}$" 형식의 로케일인
키/값 쌍을 포함해야 하며 값은 문자열입니다.

  - `items` (array)
    고유 카탈로그 혜택을 이용한 후 사용할 수 있는 아이템 SKU 목록입니다.
    Example: ["booster_mega_1"]

  - `redeem_user_limit` (integer,null)
    단일 사용자가 사용한 총 쿠폰 수를 제한합니다.

  - `redeem_code_limit` (integer,null)
    코드당 사용 횟수입니다.

  - `redeem_total_limit` (integer,null)
    총 쿠폰 수를 제한합니다.

## Response 201 fields (application/json):

  - `external_id` (string)
    고유 프로모션 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 1102

  - `errorMessage` (string)
    Example: "[0401-1102]: Unprocessable Entity. The property `external_id` is required"


